# Add show purchase

Source: https://holofolder.com/app/docs/reference/collection/add-show-purchase

POST https://app.holofolder.com/app/api/v1/show-purchases

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "add_show_purchase",
  "summary": "Add show purchase",
  "description": "Record a purchase once using a client-generated purchase ID.\n\nRequired permissions: `collection:write`. MCP tool: `add_show_purchase`.",
  "tags": [
    "Collection"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "clientId": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "cardId": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64
            },
            "cardName": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "language": {
              "type": "string",
              "enum": [
                "en",
                "fr",
                "de",
                "es",
                "it",
                "pt-br",
                "ja",
                "ko"
              ]
            },
            "finish": {
              "type": "string",
              "enum": [
                "normal",
                "holo",
                "reverse_holo",
                "double_rare",
                "ultra_rare",
                "illustration_rare",
                "special_illustration_rare",
                "secret_rare",
                "hyper_rare",
                "radiant_rare",
                "ace_spec",
                "amazing_rare",
                "shiny_rare",
                "jumbo"
              ]
            },
            "price": {
              "type": "number",
              "minimum": 0,
              "maximum": 9999999999,
              "multipleOf": 0.01
            },
            "marketPrice": {
              "anyOf": [
                {
                  "type": "number",
                  "minimum": 0,
                  "maximum": 9999999999,
                  "multipleOf": 0.01
                },
                {
                  "type": "null"
                }
              ]
            },
            "currency": {
              "type": "string",
              "enum": [
                "GBP",
                "EUR",
                "USD",
                "JPY"
              ]
            },
            "boughtAt": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
            },
            "bundleId": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "clientId",
            "cardId",
            "cardName",
            "price",
            "currency",
            "boughtAt"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
